﻿/*body {
    background-color: #121212;
    color: #e0e0e0;
}*/

html, body {
    height: 100%;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

main {
    flex: 1;
}

/* Reduce padding on small screens */
@media (max-width: 576px) {
    main.container {
        padding-left: 2px !important;
        padding-right: 2px !important;
    }
}

.tiny-logo {
    max-height: 40px;
    filter: drop-shadow(0 0 4px white) drop-shadow(0 0 2px white);
}

.navbar {
    background-color: #1f1f1f !important;
    border-bottom: 1px solid #333;
}

.navbar-brand, .nav-link {
    color: #e0e0e0 !important;
}

    .nav-link:hover {
        color: #ffffff !important;
        text-decoration: underline;
    }



   
.navbar .dropdown-menu {
    position: absolute;
    z-index: 1050;
}

/* Mini cart */
.mini-cart-inline {
    position: relative;
    transition: all 0.3s ease;
}

.mini-cart-floating {
    position: fixed;
    bottom: 5px;
    left: 130px;
    z-index: 2000;
    background: #212529;
    padding: 2px;
    border-radius: 50px;
    box-shadow: 0 8px 20px rgba(0,0,0,0.35);
}

.page-with-fixed-nav {
    padding-top: 70px;
}

.hidden {
    display: none !important;
}
